<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursUebersichtAndererVeranstalter\KursUebersicht;

class KursUebersichtPresenter extends \Kufer\Web\KuferTools\Basis\KursUebersicht\KursUebersichtPresenter
{
  protected function getJsFilesSrcAryWeitere(): array
  {
    $jsFiles = parent::getJsFilesSrcAryWeitere();
    $jsFiles[] = $this->getJsFileFromOldTools('pdfdruck.js');
    $jsFiles[] = $this->getJsFileFromSys('pdfdruck.js');

    return $jsFiles;
  }

  protected function getJSDeclarations(): string
  {
    $result = parent::getJSDeclarations();
    $result .= \JsOperations::getDeclarationBoolean('KuferTools.IsBO', \DBWorkBASysSettings::isBadOeynhausen());

    return $result;
  }

  

  protected function getPanelTitleLink($kurs)
  {
    return 'index.php?tool_id=54&action=kursdetails&knr=' . urlencode($kurs->id) . '&referer=' . urlencode($this->getAktuelleURLRelative());
  }

  protected function getPanelTitle($kurs)
  {
    if (\DBWorkBASysSettings::isKlagenfurt() && trim($kurs->zusatztexte->knr_extern) != '') {
      return $kurs->zusatztexte->knr_extern . ' - ' . $kurs->kurzbez;
    }

    return parent::getPanelTitle($kurs);
  }

  private function getAktuelleURLRelative()
  {
    $url = \URL::loadCurrent();

    return $url->getUrlRelative();
  }
}